Mailinglist Archive: opensuse-factory (649 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170806 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170806

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
at (3.1.16 -> 3.1.20)
bluez (5.45 -> 5.46)
dracut
git (2.13.3 -> 2.14.0)
gstreamer-plugins-bad
hwinfo (21.46 -> 21.47)
icoutils (0.31.1 -> 0.31.3)
inst-source-utils
k3b
libdrm
obs-service-source_validator (0.6+git20170111.82ea590 ->
0.6+git20170719.d4384e5)
perl-File-Path (2.140000 -> 2.150000)
perl-URI (1.71 -> 1.72)
perl-XML-XPath (1.40 -> 1.41)
postfix
pulseaudio (10.0 -> 10.99.1)
rsyslog (8.27.0 -> 8.28.0)
sqlite3 (3.19.3 -> 3.20.0)
subversion
wicked (0.6.40 -> 0.6.41)
xli (20061110 -> 1.17+git20170726.0bb4fb4)
xosd
xscreensaver (5.36 -> 5.37)

=== Details ===

==== at ====
Version update (3.1.16 -> 3.1.20)

- Drop patch at-3.1.8-eal3-manpages.patch merged upstream differently
- Version update to at 3.1.20 to match latest upstream:
* Pam and selinux implemented upstream
* various tiny fixes
- Rebase patches:
* at-3.1.13-documentation-dir.patch
* at-3.1.13-massive_batch.patch
* at-3.1.14-joblist.patch
* at-3.1.14-parse-suse-sysconfig.patch
* at-3.1.14-usePOSIXtimers.patch
* at-3.1.14.patch
- Drop no longer needed patches:
* at-3.1.13-formatbugs.patch
* at-3.1.13-pam-session-as-root.patch
* at-3.1.13-pam.patch
* at-3.1.13-queue-nice-level.patch
* at-3.1.14-selinux.patch

==== bluez ====
Version update (5.45 -> 5.46)
Subpackages: bluez-cups bluez-devel libbluetooth3

- update to version 5.46:
* Fix issue with handling ATT over BR/EDR connections.
* Fix issue with SDP browsing cleanup after connection.
* Fix issue with pointer dereference and OPP Put request.
* Fix issue with identity address updates during pairing.
* Fix issue with not removing services that had disappeared.
* Add support for improved discovery of included services.
* Add support for simplified characteristics discovery.
* Add support for GATT caching configuration option.
* Add experimental support for AcquireWrite and AcquireNotify.

==== dracut ====

- Ensure dracut.sh responds properly to hostonly cmdline (bsc#1048748)
* adds 0528-Ensure-dracut.sh-responds-properly-to-hostonly_cmdli.patch

==== git ====
Version update (2.13.3 -> 2.14.0)
Subpackages: git-core git-cvs git-daemon git-email git-gui git-svn git-web gitk

- git 2.14.0:
* Use of an empty string as a pathspec element that is used for
'everything matches' is deprecated, use '.'
* Avoid blindly falling back to ".git" when the setup sequence
indicates operation not on a Git repository
* "indent heuristics" are now the default.
* Builds with pcre2
* Many bug fixes, improvements and updates
- git 2.13.4:
* Update the character width tables.
* Fix an alias that contained an uppercase letter
* Progress meter fixes
* git gc concurrency fixes

==== gstreamer-plugins-bad ====
Subpackages: libgstadaptivedemux-1_0-0 libgstbadaudio-1_0-0 libgstbadbase-1_0-0
libgstbadvideo-1_0-0 libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0
libgstgl-1_0-0 libgstmpegts-1_0-0 libgstphotography-1_0-0
libgsturidownloader-1_0-0 libgstwayland-1_0-0

- Add pkgconfig(libsrtp) BuildRequires: Build srtp support.

==== hwinfo ====
Version update (21.46 -> 21.47)
Subpackages: hwinfo-devel

- merge gh#openSUSE/hwinfo#53
- really set default timeout to 20s for Video BIOS emulation calls
(bsc#1051076)
- 21.47

==== icoutils ====
Version update (0.31.1 -> 0.31.3)

- Update to 0.31.3.
* Fixed wrestool being broken.
- Changes in 0.31.2.
* Various security fixes: CVE-2017-6009, CVE-2017-6010,
CVE-2017-6011 (boo#1025700, boo#1025703).

==== inst-source-utils ====

- drop requires for recode

==== k3b ====

- Add Add-forceCheck-for-ManualCheckSystem.patch to make the manual
system check work again after the previous fix
- Add upstream patches to not show the system configuration
problems dialog if disabled (kde#381368, boo#1051368)
* Fix-do-not-show-again.patch
* Add-readCheckSystemConfig.patch

==== libdrm ====
Subpackages: libdrm-devel libdrm2 libdrm_amdgpu1 libdrm_intel1 libdrm_nouveau2
libdrm_radeon1

- build-require util-macros-devel for suse_version > 1320

==== obs-service-source_validator ====
Version update (0.6+git20170111.82ea590 -> 0.6+git20170719.d4384e5)

- Update to version 0.6+git20170719.d4384e5:
* Don't complain about Debian manpages files missing in *.spec
* Add README.md file
* Fix service run mode check for localonly
* Add 80-multibuild_xor_multispec: only multibuild OR multispec is supported
* extract GPG_OPTIONS variable for multiple runs
* For signature verification, use trust model "always"
- Update to version 0.6+git20170715.607b861:
* - support obspcio also in osc case
* Remove provides and obsoletes from the spec

==== perl-File-Path ====
Version update (2.140000 -> 2.150000)

- updated to 2.15
see /usr/share/doc/packages/perl-File-Path/Changes
2.15 2017-07-29
- Correct documentation error re possible arguments for rmtree().

==== perl-URI ====
Version update (1.71 -> 1.72)

- updated to 1.72
see /usr/share/doc/packages/perl-URI/Changes
1.72 2017-07-25
- Convert the dist to Dist::Zilla for authoring.
- Remove recommendation of Business::ISBN as urn/isbn.pm is deprecated
- Use Test::Needs instead of raw eval in urn-isbn.t

==== perl-XML-XPath ====
Version update (1.40 -> 1.41)

- updated to 1.41
see /usr/share/doc/packages/perl-XML-XPath/Changes
1.41 2017-07-28 MANWAR
- Fixed GitHub issue #4 (can't use non-ascii first character as element
name). Thanks @nanis, @ikegami.

==== postfix ====
Subpackages: postfix-doc

- bnc#1045264 L3: postmap problem
* Applying proposed patch of leen.meyer@xxxxxxxx in bnc#771811

==== pulseaudio ====
Version update (10.0 -> 10.99.1)
Subpackages: libpulse-devel libpulse-mainloop-glib0 libpulse0
pulseaudio-bash-completion pulseaudio-esound-compat pulseaudio-module-bluetooth
pulseaudio-module-gconf pulseaudio-module-jack pulseaudio-module-lirc
pulseaudio-module-x11 pulseaudio-module-zeroconf pulseaudio-utils

- Fix Requires(post) and Requires(pre) mixup
- Update to 11 RC1 (10.99.1)
* Support for newer AirPlay hardware
* USB and bluetooth devices preferred over internal sound cards
* Bluetooth HSP headset role implemented
* Bluetooth HFP audio gateway role implemented (requires oFono)
* Bluetooth HSP audio gateway and HFP hands-free unit roles can
be enabled simultaneously
* Upmixing can now be disabled without bad side effects
* Avoid having unavailable sinks or sources as the default
* Option to avoid resampling more often
* Option to automatically switch bluetooth profile to HSP more often
* Better latency control in module-loopback
* Changed module argument names in module-ladspa-sink and
module-virtual-surround-sink
* Fixed input device handling in module-waveout
* Improved bluetooth MTU configuration (warning! this causes some
hardware to not work any more, see the details below for how to fix it)
* Applications can request LADSPA or virtual surround filtering for
their streams
* Support for 32-bit applications on 64-bit systems in padsp
- add --with-pulsedsp-location='/usr/\\$$LIB/pulseaudio' to enable
upstream padsp multiarch fix
- remove patch4 padsp-biarch.patch, fixed upstream
- remove patch5 pulseaudio-vala-0.36.patch, fixed upstream

==== rsyslog ====
Version update (8.27.0 -> 8.28.0)

Version 8.28.0 [v8-stable] 2017-06-27
* omfwd: add parameter "tcp_frameDelimiter"
* omkafka: large refactor of kafka subsystem
* imfile: improved handling of atomically renamed file (w/ wildcards)
* imfile: add capability to truncate oversize messages or split into multiple
* mmdblookup fixes and extensions
* bugfix: fixed multiple memory leaks
* imptcp: add new parameter "flowControl"
* imrelp: add "maxDataSize" config parameter
* multiple modules: gtls: improve error if certificate file can't be opened
* omsnare: allow different tab escapes
* omelasticsearch: converted to use libfastjson instead of json-c
* imjournal: _PID fallback
* added fallback for _PID proprety when SYSLOG_PID is not available
* introduced new option "usepid" which sets which property should
rsyslog use, it has 3 states system|syslog|both, default is both
* deprecated "usepidfromsystem" option, still can be used
and override the "usepid"
* it is possible to revert previous default with usepid="syslog"
* multiple modules: add better error messages when regcomp is failing
* omhiredis: fix build warnings
* imfile bugfix: files mv-ed in into directory were not handled
* omprog bugfix: execve() incorrectly called
* imfile bugfix: multiline timeout did not work if state file exists
* lmsig_ksi-ls12 bugfix: build problems on some platforms
* core bugfix: invalid object type assertion
* regression fix: local hostname was not always detected properly...
* bugfix: format security issues in zmq3 modules (bsc#1051798)
* bugfix build system: add libksi only to those binaries that need it
* bugfix KSI ls12 components: invalid tree height calculation

==== sqlite3 ====
Version update (3.19.3 -> 3.20.0)
Subpackages: libsqlite3-0 libsqlite3-0-32bit sqlite3-devel sqlite3-doc

- Update to 3.20.0:
* Potential incompatible change for clients incorrectly relying
on unspecified behavior: column names returned by
sqlite3_column_name() and sqlite3_column_name16() may return
different names when views or subqueries are used in the FROM
clause, and AS clauses are not used (as they should be)
* Text of some error messages changed. Applications that depend
on specific error message text may be impacted.

==== subversion ====
Subpackages: libsvn_auth_gnome_keyring-1-0 libsvn_auth_kwallet-1-0
subversion-bash-completion subversion-devel subversion-perl subversion-python
subversion-server subversion-tools

- Add instructions for running svnserve as a user different from
"svn", and remove sysconfig variables that are no longer
effective with the systemd unit. bsc#1049448

==== wicked ====
Version update (0.6.40 -> 0.6.41)
Subpackages: libwicked-0-6 wicked-service

- version 0.6.41
- dhcp6: fix to send up to 5 release retransmissions
- ifconfig: do not stop adding routes on one bad route (bsc#1036619)
- dhcp4: fix to use rfc4361 client-id on infiniband (bsc#1022872)
- man: ifcfg.5: Fix directory name for compatibility scripts
- dhcp4: own check for user class id strings (bsc#1045522)
- dhcp: cleanup common option update flags (bsc#1027099)
- vxlan: convert ifcfg VXLAN_REMOTE_IP to remote-ip

==== xli ====
Version update (20061110 -> 1.17+git20170726.0bb4fb4)

- Drop patches merged in the git repo:
* xli-1.17.0-8bit_palette.patch
* xli-1.17.0-configfile.patch
* xli-1.17.0-overflow.patch
* xli-1.17.0.patch
* xli-png-alpha.patch
* xli-png_check_sig.patch
- Update to version 1.17+git20170726.0bb4fb4:
* Respect destdir during install
* Symlink with relative path in makefile
* Add support for 8bit pallete
* Make xli handle arrow keys to move image
* Add temp files and patches to gitignore
* Implement zoom functionality
* Adds support for the special "None" colour in XPMs
* Document zooming control
* Add a -forall option
* A bug with all merging
* Do not read past buffer end
- Allow xli to load up on alpha backgrounded png, if there would be
upstream this should be upstreamed:
* xli-png-alpha.patch
- Cleanup a bit with spec-cleaner

==== xosd ====

- Cleanup with spec-cleaner
- Use configure switches from Fedora and Debian
- Split out library to specific subpackage

==== xscreensaver ====
Version update (5.36 -> 5.37)
Subpackages: xscreensaver-data xscreensaver-data-extra

- Update to version 5.37:
* New hack vigilance.
* Updates of bsod and webcollage.
* Bug fixes.
- Added vigilance hack to xscreensaver-data-extra.list.
- Split -lang package with translations.


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups